metals<-read.csv("metals.csv",header=T)


metal.sel<-metals[,6:67]
names(metal.sel)<-sub("\\..*$","",names(metal.sel))
metal.sel[metal.sel < 0] <- 0
metal.sel <- metal.sel[, -which(colSums(is.na(metal.sel)) > 10)]
metal.sel <- na.omit(metal.sel) #exclude all NA rows


cormat <- round(cor(metal.sel),2)
head(cormat)
metal.dist <- dist(cormat)

ca <- hclust(metal.dist, method = "average")
   

pdf("Dendrograms.pdf")

plot(ca, cex = 0.7)

dev.off()

metal_pc <- princomp(metal.sel, cor = TRUE)
layout(matrix(1:6, nr = 2), height = c(2, 1))

#average

plot(ca <- hclust(metal.dist, method = "average"), 
     main = "Average")
abline(h = 7.8, col = "lightgrey")

plot(metal_pc$scores[,1:2], type = "n", 
     xlim = xlim, ylim = xlim,
     xlab = "PC1", ylab = "PC2")
cab <- cutree(ca, h = 2.3)                             
text(metal_pc$scores[,1:2], labels = cab, 
     cex=1)     
